eidguiV2: error while loading shared libraries: libpteidcommon.so.2: cannot open shared object file: No such file or directory

System:
  Kernel: 6.9.3-nitrous+ arch: x86_64 bits: 64 compiler: clang v: 17.0.6
    clocksource: tsc avail: hpet,acpi_pm
    parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-nitrous
    root=UUID=28737c36-a0e2-4c06-a15d-60f83ad584f9 rw rootflags=subvol=@
    quiet loglevel=3 ibt=off
    resume=/dev/disk/by-uuid/45bcf8fd-50cc-44d3-add4-8a3586b06983 lvm
    nvidia-drm.modeset=1 nvidia_drm.fbdev=1
    NVreg_PreserveVideoMemoryAllocations=1 apparmor=1 security=apparmor
  Desktop: Xfce v: 4.18.1 tk: Gtk v: 3.24.36 wm: xfwm4 v: 4.18.0
    with: xfce4-panel tools: light-locker avail: xautolock vt: 7 dm: LightDM
    v: 1.32.0 Distro: Arch Linux
Machine:
  Type: Desktop System: MSI product: MS-7922 v: 2.0
    serial: <superuser required>
  Mobo: MSI model: Z97S SLI Krait Edition (MS-7922) v: 2.0
    serial: <superuser required> uuid: <superuser required>
    UEFI: American Megatrends v: 10.4 date: 04/15/2015
Battery:
  Device-1: sony_controller_battery_a0:5a:5d:51:d7:87 model: N/A serial: N/A
    charge: N/A status: full
CPU:
  Info: model: Intel Core i5-4690K bits: 64 type: MCP arch: Haswell
    gen: core 4 level: v3 note: check built: 2013-15 process: Intel 22nm
    family: 6 model-id: 0x3C (60) stepping: 3 microcode: 0x28
  Topology: cpus: 1x cores: 4 smt: <unsupported> cache: L1: 256 KiB
    desc: d-4x32 KiB; i-4x32 KiB L2: 1024 KiB desc: 4x256 KiB L3: 6 MiB
    desc: 1x6 MiB
  Speed (MHz): avg: 817 high: 869 min/max: 800/4000 scaling:
    driver: intel_cpufreq governor: schedutil cores: 1: 800 2: 869 3: 800 4: 800
    bogomips: 28010
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
  Vulnerabilities:
  Type: gather_data_sampling status: Not affected
  Type: itlb_multihit status: KVM: VMX disabled
  Type: l1tf mitigation: PTE Inversion; VMX: conditional cache flushes, SMT
    disabled
  Type: mds mitigation: Clear CPU buffers; SMT disabled
  Type: meltdown mitigation: PTI
  Type: mmio_stale_data status: Unknown: No mitigations
  Type: reg_file_data_sampling status: Not affected
  Type: retbleed status: Not affected
  Type: spec_rstack_overflow status: Not affected
  Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via
    prctl
  Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer
    sanitization
  Type: spectre_v2 mitigation: Retpolines; IBPB: conditional; IBRS_FW;
    STIBP: disabled; RSB filling; PBRSB-eIBRS: Not affected; BHI: Not
    affected
  Type: srbds mitigation: Microcode
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: NVIDIA GM206 [GeForce GTX 960] vendor: ASUSTeK driver: nvidia
    v: 550.78 alternate: nouveau,nvidia_drm non-free: 545.xx+ status: current
    (as of 2024-04; EOL~2026-12-xx) arch: Maxwell code: GMxxx
    process: TSMC 28nm built: 2014-2019 pcie: gen: 1 speed: 2.5 GT/s lanes: 16
    link-max: gen: 3 speed: 8 GT/s ports: active: none off: HDMI-A-1
    empty: DP-1, DP-2, DP-3, DVI-I-1 bus-ID: 01:00.0 chip-ID: 10de:1401
    class-ID: 0300
  Display: x11 server: X.Org v: 21.1.13 with: Xwayland v: 24.1.0
    compositor: xfwm4 v: 4.18.0 driver: X: loaded: nvidia
    gpu: nvidia,nvidia-nvswitch display-ID: :0.0 screens: 1
  Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x286mm (20.00x11.26")
    s-diag: 583mm (22.95")
  Monitor-1: HDMI-A-1 mapped: HDMI-0 note: disabled
    model: LG (GoldStar) M227WDP serial: <filter> built: 2009 res: 1920x1080
    hz: 60 dpi: 82 gamma: 1.2 size: 598x336mm (23.54x13.23")
    diag: 551mm (21.7") ratio: 16:9 modes: max: 1920x1080 min: 640x480
  API: EGL v: 1.5 hw: drv: nvidia platforms: device: 0 drv: nvidia device: 2
    drv: swrast gbm: drv: nvidia surfaceless: drv: nvidia x11: drv: nvidia
    inactive: wayland,device-1
  API: OpenGL v: 4.6.0 compat-v: 4.5 vendor: nvidia mesa v: 550.78
    glx-v: 1.4 direct-render: yes renderer: NVIDIA GeForce GTX 960/PCIe/SSE2
    memory: 1.95 GiB
  API: Vulkan Message: No Vulkan data available.
Audio:
  Device-1: Intel 9 Series Family HD Audio vendor: Micro-Star MSI
    driver: snd_hda_intel v: kernel bus-ID: 00:1b.0 chip-ID: 8086:8ca0
    class-ID: 0403
  Device-2: NVIDIA GM206 High Definition Audio vendor: ASUSTeK
    driver: snd_hda_intel v: kernel pcie: gen: 3 speed: 8 GT/s lanes: 16
    bus-ID: 01:00.1 chip-ID: 10de:0fba class-ID: 0403
  API: ALSA v: k6.9.3-nitrous+ status: kernel-api with: aoss
    type: oss-emulator tools: alsactl,alsamixer,amixer
  Server-1: sndiod v: N/A status: off tools: aucat,midicat,sndioctl
  Server-2: PipeWire v: 1.0.7 status: active with: 1: pipewire-media-session
    status: active 2: pw-jack type: plugin tools: pw-cat,pw-cli
  Server-3: PulseAudio v: 17.0 status: active with: pulseaudio-alsa
    type: plugin tools: pacat,pactl,pavucontrol
Network:
  Device-1: Realtek RTL8111/8168/8211/8411 PCI Express Gigabit Ethernet
    vendor: Micro-Star MSI driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s
    lanes: 1 port: d000 bus-ID: 05:00.0 chip-ID: 10ec:8168 class-ID: 0200
  IF: enp5s0 state: up speed: 100 Mbps duplex: full mac: <filter>
  IF-ID-1: ipv6leakintrf0 state: unknown speed: N/A duplex: N/A
    mac: <filter>
  IF-ID-2: tun0 state: unknown speed: 10000 Mbps duplex: full mac: N/A
  Info: services: NetworkManager, systemd-timesyncd, wpa_supplicant
Bluetooth:
  Device-1: Cambridge Silicon Radio Bluetooth Dongle (HCI mode) driver: btusb
    v: 0.8 type: USB rev: 2.0 speed: 12 Mb/s lanes: 1 mode: 1.1 bus-ID: 3-5:2
    chip-ID: 0a12:0001 class-ID: e001
  Report: bt-adapter note: tool can't run ID: hci0 rfk-id: 0 state: down
    bt-service: disabled rfk-block: hardware: no software: yes address: N/A
Drives:
  Local Storage: total: 2.04 TiB used: 1.78 TiB (87.4%)
  SMART Message: Unable to run smartctl. Root privileges required.
  ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: WALRAM model: 1TB
    size: 931.51 GiB block-size: physical: 512 B logical: 512 B speed: 31.6 Gb/s
    lanes: 4 tech: SSD serial: <filter> fw-rev: V0523B0 temp: 47.9 C
    scheme: GPT
  ID-2: /dev/sda maj-min: 8:0 model: 240GB size: 223.57 GiB block-size:
    physical: 512 B logical: 512 B speed: 6.0 Gb/s tech: SSD serial: <filter>
    fw-rev: 0E scheme: GPT
  ID-3: /dev/sdb maj-min: 8:16 vendor: Western Digital
    model: WD10JPCX-24UE4T0 size: 931.51 GiB block-size: physical: 4096 B
    logical: 512 B speed: 6.0 Gb/s tech: HDD rpm: 5400 serial: <filter>
    fw-rev: 1A01 scheme: GPT
Partition:
  ID-1: / raw-size: 39.28 GiB size: 39.28 GiB (100.00%)
    used: 30.24 GiB (77.0%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
  ID-2: /boot/efi raw-size: 151 MiB size: 148.6 MiB (98.44%)
    used: 10.1 MiB (6.8%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
  ID-3: /home raw-size: 876.07 GiB size: 876.07 GiB (100.00%)
    used: 808.66 GiB (92.3%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
  ID-4: /var/log raw-size: 39.28 GiB size: 39.28 GiB (100.00%)
    used: 30.24 GiB (77.0%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
  ID-5: /var/tmp raw-size: 39.28 GiB size: 39.28 GiB (100.00%)
    used: 30.24 GiB (77.0%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
Swap:
  Kernel: swappiness: 60 (default) cache-pressure: 100 (default) zswap: yes
    compressor: zstd max-pool: 20%
  ID-1: swap-1 type: zram size: 8 GiB used: 1.25 GiB (15.6%) priority: 100
    comp: zstd avail: lzo,lzo-rle,lz4,lz4hc,842 max-streams: 4 dev: /dev/zram0
  ID-2: swap-2 type: partition size: 16.02 GiB used: 0 KiB (0.0%)
    priority: -2 dev: /dev/nvme0n1p4 maj-min: 259:4
Sensors:
  System Temperatures: cpu: 53.0 C mobo: 35.0 C gpu: nvidia temp: 34 C
  Fan Speeds (rpm): fan-1: 0 fan-2: 1015 fan-3: 0 fan-4: 1698 fan-5: 0
    gpu: nvidia fan: 50%
Info:
  Memory: total: 16 GiB available: 15.55 GiB used: 4.61 GiB (29.6%)
  Processes: 307 Power: uptime: 11h 24m states: freeze,mem,disk
    suspend: deep avail: s2idle wakeups: 0 hibernate: platform avail: shutdown,
    reboot, suspend, test_resume image: 6.16 GiB
    services: upowerd,xfce4-power-manager Init: systemd v: 255
    default: graphical tool: systemctl
  Packages: pm: pacman pkgs: 1593 libs: 437 tools: pamac,paru Compilers:
    clang: 17.0.6 gcc: 14.1.1 Shell: fish v: 3.7.1 running-in: xfce4-terminal
    inxi: 3.3.34

I downloaded the rpm from https://www.autenticacao.gov.pt/web/guest/cc-aplicacao, then I made the PKGBUILD

pkgname="pteid-mw-x86_64"
pkgver="0.0.1"
pkgrel="1"
pkgdesc="Short description of rpm package"
arch=("x86_64")
source=("pteid-mw-x86_64.rpm")
sha256sums=("SKIP")
package() {
  find $srcdir/ -mindepth 1 -maxdepth 1 -type d | xargs cp -r -t "$pkgdir"
}

and it was installed successfully.
But when i launch it it gives the error eidguiV2: error while loading shared libraries: libpteidcommon.so.2: cannot open shared object file: No such file or directory

I’ve searched but didn’t find nothing, it’s just used to read Portuguese card ID.
What are the steps to fix this?
Thanks in advance

After an update I get

( 7/20) Checking for package with missing dependencies...
File "/usr/lib/.build-id/15/a05546d4e46ca2af39a0ad915dcffcdbc1bca6" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/lib/.build-id/15/a05546d4e46ca2af39a0ad915dcffcdbc1bca6" from package "pteid-mw-x86_64" is missing dependency "libpteidapplayer.so.2"
File "/usr/lib/.build-id/15/a05546d4e46ca2af39a0ad915dcffcdbc1bca6" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/lib/.build-id/15/a05546d4e46ca2af39a0ad915dcffcdbc1bca6" from package "pteid-mw-x86_64" is missing dependency "libssl.so.1.1"
File "/usr/lib/.build-id/15/a05546d4e46ca2af39a0ad915dcffcdbc1bca6" from package "pteid-mw-x86_64" is missing dependency "libcrypto.so.1.1"
File "/usr/lib/.build-id/1a/a18376c6b8cf8e41ae5f3673878da0efe909da" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/lib/.build-id/1a/a18376c6b8cf8e41ae5f3673878da0efe909da" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/lib/.build-id/1a/a18376c6b8cf8e41ae5f3673878da0efe909da" from package "pteid-mw-x86_64" is missing dependency "libpteidcardlayer.so.2"
File "/usr/lib/.build-id/1a/a18376c6b8cf8e41ae5f3673878da0efe909da" from package "pteid-mw-x86_64" is missing dependency "libpteidapplayer.so.2"
File "/usr/lib/.build-id/1a/a18376c6b8cf8e41ae5f3673878da0efe909da" from package "pteid-mw-x86_64" is missing dependency "libCMDServices.so.1"
File "/usr/lib/.build-id/53/b81725716021c35b5270987053ec79611f2c1f" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/lib/.build-id/6e/617f47cc4379946d8b7b1fad623e2fae97245d" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/lib/.build-id/6e/617f47cc4379946d8b7b1fad623e2fae97245d" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/lib/.build-id/6e/617f47cc4379946d8b7b1fad623e2fae97245d" from package "pteid-mw-x86_64" is missing dependency "libpteidcardlayer.so.2"
File "/usr/lib/.build-id/ab/81fe5ff86a7a3ce9695c26b06985df9e7c37da" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/lib/.build-id/ab/81fe5ff86a7a3ce9695c26b06985df9e7c37da" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/lib/.build-id/ab/81fe5ff86a7a3ce9695c26b06985df9e7c37da" from package "pteid-mw-x86_64" is missing dependency "libpteidcardlayer.so.2"
File "/usr/lib/.build-id/ab/81fe5ff86a7a3ce9695c26b06985df9e7c37da" from package "pteid-mw-x86_64" is missing dependency "libpteidapplayer.so.2"
File "/usr/lib/.build-id/ab/81fe5ff86a7a3ce9695c26b06985df9e7c37da" from package "pteid-mw-x86_64" is missing dependency "libCMDServices.so.1"
File "/usr/lib/.build-id/ad/379cf7bb7484fe321d7e34da9467fd8157419e" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/lib/.build-id/ad/379cf7bb7484fe321d7e34da9467fd8157419e" from package "pteid-mw-x86_64" is missing dependency "libpteidapplayer.so.2"
File "/usr/lib/.build-id/ad/379cf7bb7484fe321d7e34da9467fd8157419e" from package "pteid-mw-x86_64" is missing dependency "libpteidlib.so.2"
File "/usr/lib/.build-id/ad/379cf7bb7484fe321d7e34da9467fd8157419e" from package "pteid-mw-x86_64" is missing dependency "libssl.so.1.1"
File "/usr/lib/.build-id/ad/379cf7bb7484fe321d7e34da9467fd8157419e" from package "pteid-mw-x86_64" is missing dependency "libcrypto.so.1.1"
File "/usr/lib/.build-id/ad/379cf7bb7484fe321d7e34da9467fd8157419e" from package "pteid-mw-x86_64" is missing dependency "libpoppler-qt5.so.1"
File "/usr/lib/.build-id/ad/379cf7bb7484fe321d7e34da9467fd8157419e" from package "pteid-mw-x86_64" is missing dependency "libCMDServices.so.1"
File "/usr/lib/.build-id/ad/379cf7bb7484fe321d7e34da9467fd8157419e" from package "pteid-mw-x86_64" is missing dependency "libcjson.so.1"
File "/usr/lib/.build-id/b9/3caf718a692653873de49f1dab6698cf533331" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/lib/.build-id/b9/3caf718a692653873de49f1dab6698cf533331" from package "pteid-mw-x86_64" is missing dependency "libcrypto.so.1.1"
File "/usr/lib/.build-id/b9/3caf718a692653873de49f1dab6698cf533331" from package "pteid-mw-x86_64" is missing dependency "libssl.so.1.1"
File "/usr/lib/.build-id/b9/3caf718a692653873de49f1dab6698cf533331" from package "pteid-mw-x86_64" is missing dependency "libxerces-c-3.2.so"
File "/usr/lib/.build-id/b9/3caf718a692653873de49f1dab6698cf533331" from package "pteid-mw-x86_64" is missing dependency "libxml-security-c.so.20"
File "/usr/lib/.build-id/b9/3caf718a692653873de49f1dab6698cf533331" from package "pteid-mw-x86_64" is missing dependency "libpteidcardlayer.so.2"
File "/usr/lib/.build-id/c1/98e50d185054fc9bfeadc98c4572caa47a8bb4" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/lib/.build-id/c1/98e50d185054fc9bfeadc98c4572caa47a8bb4" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/lib/.build-id/c1/98e50d185054fc9bfeadc98c4572caa47a8bb4" from package "pteid-mw-x86_64" is missing dependency "libcrypto.so.1.1"
File "/usr/lib/.build-id/f0/bb4bb54165fa253bd1bba778c7773ac46fc001" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/lib/.build-id/f0/bb4bb54165fa253bd1bba778c7773ac46fc001" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/bin/eidguiV2" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/bin/eidguiV2" from package "pteid-mw-x86_64" is missing dependency "libpteidapplayer.so.2"
File "/usr/local/bin/eidguiV2" from package "pteid-mw-x86_64" is missing dependency "libpteidlib.so.2"
File "/usr/local/bin/eidguiV2" from package "pteid-mw-x86_64" is missing dependency "libssl.so.1.1"
File "/usr/local/bin/eidguiV2" from package "pteid-mw-x86_64" is missing dependency "libcrypto.so.1.1"
File "/usr/local/bin/eidguiV2" from package "pteid-mw-x86_64" is missing dependency "libpoppler-qt5.so.1"
File "/usr/local/bin/eidguiV2" from package "pteid-mw-x86_64" is missing dependency "libCMDServices.so.1"
File "/usr/local/bin/eidguiV2" from package "pteid-mw-x86_64" is missing dependency "libcjson.so.1"
File "/usr/local/bin/pteiddialogsQTsrv" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/local/bin/pteiddialogsQTsrv" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/lib/libCMDServices.so.1.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/lib/libCMDServices.so.1.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidapplayer.so.2"
File "/usr/local/lib/libCMDServices.so.1.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/local/lib/libCMDServices.so.1.0.0" from package "pteid-mw-x86_64" is missing dependency "libssl.so.1.1"
File "/usr/local/lib/libCMDServices.so.1.0.0" from package "pteid-mw-x86_64" is missing dependency "libcrypto.so.1.1"
File "/usr/local/lib/libpteidapplayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/lib/libpteidapplayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libcrypto.so.1.1"
File "/usr/local/lib/libpteidapplayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libssl.so.1.1"
File "/usr/local/lib/libpteidapplayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libxerces-c-3.2.so"
File "/usr/local/lib/libpteidapplayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libxml-security-c.so.20"
File "/usr/local/lib/libpteidapplayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcardlayer.so.2"
File "/usr/local/lib/libpteidcardlayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/lib/libpteidcardlayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/local/lib/libpteidcardlayer.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libcrypto.so.1.1"
File "/usr/local/lib/libpteiddialogsQT.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/lib/libpteidlib.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/lib/libpteidlib.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/local/lib/libpteidlib.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcardlayer.so.2"
File "/usr/local/lib/libpteidlib.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidapplayer.so.2"
File "/usr/local/lib/libpteidlib.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libCMDServices.so.1"
File "/usr/local/lib/libpteidlibj.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/lib/libpteidlibj.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/local/lib/libpteidlibj.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcardlayer.so.2"
File "/usr/local/lib/libpteidlibj.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidapplayer.so.2"
File "/usr/local/lib/libpteidlibj.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libCMDServices.so.1"
File "/usr/local/lib/libpteidpkcs11.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcommon.so.2"
File "/usr/local/lib/libpteidpkcs11.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteiddialogsQT.so.2"
File "/usr/local/lib/libpteidpkcs11.so.2.0.0" from package "pteid-mw-x86_64" is missing dependency "libpteidcardlayer.so.2"

That’s a precompiled binary linked against another version of the deps - that’s hardly going to work :confused:

Is this (in the AUR) what you need?
https://aur.archlinux.org/packages/plugin-autenticacao-gov-pt
It seems to have a lot of dependencies in-fact.
You can install it with (read the comments first, of course):

paru plugin-autenticacao-gov-pt

Exit from the PKGBUILD preview with button ‘q’ and proceed with installation.

Edit:
Or maybe install in the same way one of the packages which require the plugin as dependency: autenticacao-gov-pt or autenticacao-gov-pt-bin (again, read the comments)

3 Likes

That’s exactly it!
The last time I looked on AUR it was out of date.
autenticacao-gov-pt-bin it needs flatpak, so no thanks.
I’m gonna install autenticacao-gov-pt
I use aptpac, for me, coming from Debian, it’s much easier

Thanks

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.